UPDATE Building_ResourceQuantityFromPOP SET Modifier = 5 WHERE BuildingType IN (SELECT Type FROM Buildings 
WHERE BuildingClass = "BUILDINGCLASS_HARBOR") AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

UPDATE Building_ResourceQuantityFromPOP SET Modifier = 10 WHERE BuildingType IN (SELECT Type FROM Buildings 
WHERE BuildingClass = "BUILDINGCLASS_SEAPORT") AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

-- Wonders
UPDATE Building_ResourceQuantity SET Quantity = Quantity / 2 WHERE BuildingType IN 
('BUILDING_GREAT_LIGHTHOUSE', 'BUILDING_COLOSSUS', 'BUILDING_GRAND_CANAL') AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");
UPDATE Building_ResourceQuantity SET Quantity = Quantity - 1 WHERE BuildingType IN ('BUILDING_PIAZZA_SAN_MARCO', 'BUILDING_VENETIAN_ARSENALE') AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

UPDATE Building_ResourceQuantityFromPOP SET Modifier = 10 WHERE BuildingType = 'BUILDING_VENETIAN_ARSENALE' AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

UPDATE Buildings SET CitySupplyFlat = 2 WHERE Type = "BUILDING_PIAZZA_SAN_MARCO" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");
UPDATE Buildings SET CitySupplyModifier = 5, CitySupplyModifierGlobal = 5 WHERE Type = "BUILDING_VENETIAN_ARSENALE" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");


-- Text 
UPDATE Language_en_US SET Text= "Completing a [ICON_CARGO_SHIP] Sea Trade Route originating here and targeting another Civilization triggers a (or strengthens an existing) [COLOR_POSITIVE_TEXT]Historic Event[ENDCOLOR].[NEWLINE][NEWLINE]+1 [ICON_FOOD] Food from Coast and Ocean tiles, and +1 [ICON_PRODUCTION] Production from Sea Resources worked by this City. [ICON_CARGO_SHIP] Sea Trade Routes gain +50% Range and +2 [ICON_GOLD] Gold.[NEWLINE][NEWLINE]+15% [ICON_PRODUCTION] Production of Naval Units, and +5% [ICON_RES_SAILORS] Naval Supply from Population.[NEWLINE][NEWLINE]Can only be constructed in a Coastal City." WHERE Tag="TXT_KEY_BUILDING_HARBOR_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

UPDATE Language_en_US SET Text="+1 [ICON_PRODUCTION] Production and +1 [ICON_GOLD] Gold from all Coast and Ocean tiles. +2 [ICON_PRODUCTION] Production and [ICON_GOLD] Gold from Sea Resources worked by this City. +10% [ICON_RES_SAILORS] Naval Supply from Population.[NEWLINE][NEWLINE]Requires 1 [ICON_RES_COAL] Coal. Can only be constructed in a Coastal City, and cannot have a [COLOR_NEGATIVE_TEXT]Train Station[ENDCOLOR] in the City." WHERE Tag="TXT_KEY_BUILDING_SEAPORT_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

-- Uniques
/*
UPDATE Language_en_US SET Text="Receive +2 Naval Supply and a free copy of all Luxury Resources around the City. Incoming [ICON_INTERNATIONAL_TRADE] Trade Routes generate +5 [ICON_GOLD] Gold for the City, and +3 [ICON_GOLD] Gold for the [ICON_INTERNATIONAL_TRADE] Trade Route owner. Resource Diversity Modifiers for Trade Routes from this City increase by 25% if positive, and decrease by 25% if negative. Grants 2 [COLOR_POSITIVE_TEXT]Additional[ENDCOLOR] [ICON_INTERNATIONAL_TRADE] Trade Routes, all Harbors gain +3 [ICON_PRODUCTION] Production, and all Lighthouses gain +2 [ICON_CULTURE] Culture. -1 [ICON_HAPPINESS_3] Unhappiness from [ICON_POVERTY] Poverty.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_GREAT_COTHON_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS"); 
*/

-- Wonders
UPDATE Language_en_US SET Text="Can only be constructed in a Coastal City. Provides a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Lighthouse in the City in which it is built. All Military Naval Units receive +1 [ICON_MOVES] Movement and +1 [ICON_VP_VISION] Sight. +1 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_WONDER_GREAT_LIGHTHOUSE_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS"); 

UPDATE Language_en_US SET Text="Can only be constructed in a Coastal City. Gains 1 [COLOR_POSITIVE_TEXT]Additional[ENDCOLOR] [ICON_INTERNATIONAL_TRADE] Trade Route slot and a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Cargo Ship in the City in which it is built. Incoming [ICON_INTERNATIONAL_TRADE] Trade Routes generate +2 [ICON_GOLD] Gold for the City, and +1 [ICON_GOLD] Gold for [ICON_INTERNATIONAL_TRADE] Trade Route owner. +1 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_WONDER_COLOSSUS_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS"); 

UPDATE Language_en_US SET Text="May only be built collaboratively through the World Congress. Receive 1 [COLOR_POSITIVE_TEXT]Additional[ENDCOLOR] [ICON_INTERNATIONAL_TRADE] Trade Route. Grants all Naval Units except Submarines and Carriers the [COLOR_POSITIVE_TEXT]{TXT_KEY_PROMOTION_TREASURE_FLEET}[ENDCOLOR] Promotion, which grants +10% [ICON_STRENGTH] Combat Strength when attacking, +1 [ICON_VP_VISION] Sight, and the ability to heal [COLOR_POSITIVE_TEXT]Outside of Friendly Territory[ENDCOLOR]. +2 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_BUILDING_GRAND_CANAL_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS"); 

-- Venice
UPDATE Language_en_US SET Text="Can only be built in the [ICON_CAPITAL] Capital.[NEWLINE][NEWLINE]+33% [ICON_GREAT_PEOPLE] Great People generation in this city. Receive 15 [ICON_CULTURE] Culture when a [ICON_CITIZEN] Citizen is born in the City, and 50 [ICON_GOLDEN_AGE] Golden Age Points whenever you unlock a Policy, scaling with Era. +2 [ICON_WAR] Military and +2 [ICON_RES_SAILORS] Naval Supply. +10 [ICON_SPY] City Security.[NEWLINE][NEWLINE]Reduces the purchase cooldown of Civilian Units by 3 turns and removes the purchase cooldown of Military Units in this City.[NEWLINE][NEWLINE]Contains 1 slot for a [ICON_GREAT_WORK] Great Work of Art or Artifact.[NEWLINE][NEWLINE]Unlocks access to [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_MURANO_GLASSWORKS}[ENDCOLOR], [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_VENETIAN_ARSENALE}[ENDCOLOR], and [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_RIALTO_DISTRICT}[ENDCOLOR] once [COLOR_CYAN]{TXT_KEY_TECH_GUILDS_TITLE}[ENDCOLOR] is researched.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_PIAZZA_SAN_MARCO_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

UPDATE Language_en_US SET Text="1 of 3 [COLOR_NEGATIVE_TEXT]Mutually Exclusive[ENDCOLOR] Unique Venetian Buildings. Requires construction of {TXT_KEY_BUILDING_PIAZZA_SAN_MARCO} in this City.[NEWLINE][NEWLINE]+7% [ICON_STRENGTH] Defense Strength and +5% [ICON_SILVER_FIST] Military from Population in all Cities (10% in [ICON_CAPITAL] Capital). +2 [ICON_RES_SAILORS] Naval Supply and +10% [ICON_RES_SAILORS] Naval Supply from Population in Capital. [NEWLINE][NEWLINE]Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]All Naval Units receive the [COLOR_POSITIVE_TEXT]{TXT_KEY_PROMOTION_ARSENALE}[ENDCOLOR] Promotion.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_VENETIAN_ARSENALE_HELP" AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");

-- Admiral CHANGE
UPDATE Unit_ResourceQuantityExpended SET Amount = 1 WHERE ResourceType = 'RESOURCE_SAILORS' AND EXISTS (SELECT Type FROM Resources WHERE Type = "RESOURCE_SAILORS");


UPDATE Language_en_US SET Text="If the Unit is in owned territory, this order will expend the Unit, granting you two [COLOR_POSITIVE_TEXT]free[ENDCOLOR] copies of a random Luxury Resource, prioritizing those not available on this map and not currently owned.[NEWLINE][NEWLINE]These Resources will not appear on the map and do not count toward Monopolies if they did not exist on the map, but can be traded to other civilizations. Also increases your [ICON_RES_SAILORS] Naval Supply by 1." WHERE Tag="TXT_KEY_MISSION_FREE_LUXURY_HELP";
